//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetStatisticsResponse")
inline fun getStatisticsResponse(block: gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse =
  gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.newBuilder()).apply { block() }._build()
object GetStatisticsResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse = _builder.build()

    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    var dailyUsage: com.google.protobuf.Duration
      @JvmName("getDailyUsage")
      get() = _builder.getDailyUsage()
      @JvmName("setDailyUsage")
      set(value) {
        _builder.setDailyUsage(value)
      }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     */
    fun clearDailyUsage() {
      _builder.clearDailyUsage()
    }
    /**
     * <code>.google.protobuf.Duration daily_usage = 1 [json_name = "dailyUsage"];</code>
     * @return Whether the dailyUsage field is set.
     */
    fun hasDailyUsage(): kotlin.Boolean {
      return _builder.hasDailyUsage()
    }

    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    var weeklyUsage: com.google.protobuf.Duration
      @JvmName("getWeeklyUsage")
      get() = _builder.getWeeklyUsage()
      @JvmName("setWeeklyUsage")
      set(value) {
        _builder.setWeeklyUsage(value)
      }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     */
    fun clearWeeklyUsage() {
      _builder.clearWeeklyUsage()
    }
    /**
     * <code>.google.protobuf.Duration weekly_usage = 2 [json_name = "weeklyUsage"];</code>
     * @return Whether the weeklyUsage field is set.
     */
    fun hasWeeklyUsage(): kotlin.Boolean {
      return _builder.hasWeeklyUsage()
    }

    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    var monthlyUsage: com.google.protobuf.Duration
      @JvmName("getMonthlyUsage")
      get() = _builder.getMonthlyUsage()
      @JvmName("setMonthlyUsage")
      set(value) {
        _builder.setMonthlyUsage(value)
      }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     */
    fun clearMonthlyUsage() {
      _builder.clearMonthlyUsage()
    }
    /**
     * <code>.google.protobuf.Duration monthly_usage = 3 [json_name = "monthlyUsage"];</code>
     * @return Whether the monthlyUsage field is set.
     */
    fun hasMonthlyUsage(): kotlin.Boolean {
      return _builder.hasMonthlyUsage()
    }

    /**
     * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
     */
    var highestScore: kotlin.Long
      @JvmName("getHighestScore")
      get() = _builder.getHighestScore()
      @JvmName("setHighestScore")
      set(value) {
        _builder.setHighestScore(value)
      }
    /**
     * <code>int64 highest_score = 4 [json_name = "highestScore"];</code>
     */
    fun clearHighestScore() {
      _builder.clearHighestScore()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse.copy(block: gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetStatisticsResponse =
  gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseOrBuilder.dailyUsageOrNull: com.google.protobuf.Duration?
  get() = if (hasDailyUsage()) getDailyUsage() else null

val gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseOrBuilder.weeklyUsageOrNull: com.google.protobuf.Duration?
  get() = if (hasWeeklyUsage()) getWeeklyUsage() else null

val gg.dsepractice.chinese.v1alpha1.GetStatisticsResponseOrBuilder.monthlyUsageOrNull: com.google.protobuf.Duration?
  get() = if (hasMonthlyUsage()) getMonthlyUsage() else null

